org.wildfly.swarm.config.logging

## Class LoggingProfile.LoggingProfileResources

- java.lang.Object
- - org.wildfly.swarm.config.logging.LoggingProfile.LoggingProfileResources

- Enclosing class:
    LoggingProfile<T extends LoggingProfile<T>>

      public static class LoggingProfile.LoggingProfileResources
      extends Object

  Child mutators for LoggingProfile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingProfileResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncHandler` | `asyncHandler(String key)`
    `List<AsyncHandler>` | `asyncHandlers()` Get the list of AsyncHandler resources
    `ConsoleHandler` | `consoleHandler(String key)`
    `List<ConsoleHandler>` | `consoleHandlers()` Get the list of ConsoleHandler resources
    `CustomFormatter` | `customFormatter(String key)`
    `List<CustomFormatter>` | `customFormatters()` Get the list of CustomFormatter resources
    `CustomHandler` | `customHandler(String key)`
    `List<CustomHandler>` | `customHandlers()` Get the list of CustomHandler resources
    `FileHandler` | `fileHandler(String key)`
    `List<FileHandler>` | `fileHandlers()` Get the list of FileHandler resources
    `LogFile` | `logFile(String key)`
    `List<LogFile>` | `logFiles()` Get the list of LogFile resources
    `Logger` | `logger(String key)`
    `List<Logger>` | `loggers()` Get the list of Logger resources
    `PatternFormatter` | `patternFormatter(String key)`
    `List<PatternFormatter>` | `patternFormatters()` Get the list of PatternFormatter resources
    `PeriodicRotatingFileHandler` | `periodicRotatingFileHandler(String key)`
    `List<PeriodicRotatingFileHandler>` | `periodicRotatingFileHandlers()` Get the list of PeriodicRotatingFileHandler resources
    `PeriodicSizeRotatingFileHandler` | `periodicSizeRotatingFileHandler(String key)`
    `List<PeriodicSizeRotatingFileHandler>` | `periodicSizeRotatingFileHandlers()` Get the list of PeriodicSizeRotatingFileHandler resources
    `RootLogger` | `rootLogger()` Defines the root logger for this log context.
    `SizeRotatingFileHandler` | `sizeRotatingFileHandler(String key)`
    `List<SizeRotatingFileHandler>` | `sizeRotatingFileHandlers()` Get the list of SizeRotatingFileHandler resources
    `SyslogHandler` | `syslogHandler(String key)`
    `List<SyslogHandler>` | `syslogHandlers()` Get the list of SyslogHandler resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingProfileResources

          public LoggingProfileResources()

  - ### Method Detail

    - #### periodicRotatingFileHandlers

          public List<PeriodicRotatingFileHandler> periodicRotatingFileHandlers()

      Get the list of PeriodicRotatingFileHandler resources
      Returns:
        the list of resources

    - #### periodicRotatingFileHandler

          public PeriodicRotatingFileHandler periodicRotatingFileHandler(String key)

    - #### customFormatters

          public List<CustomFormatter> customFormatters()

      Get the list of CustomFormatter resources
      Returns:
        the list of resources

    - #### customFormatter

          public CustomFormatter customFormatter(String key)

    - #### periodicSizeRotatingFileHandlers

          public List<PeriodicSizeRotatingFileHandler> periodicSizeRotatingFileHandlers()

      Get the list of PeriodicSizeRotatingFileHandler resources
      Returns:
        the list of resources

    - #### periodicSizeRotatingFileHandler

          public PeriodicSizeRotatingFileHandler periodicSizeRotatingFileHandler(String key)

    - #### consoleHandlers

          public List<ConsoleHandler> consoleHandlers()

      Get the list of ConsoleHandler resources
      Returns:
        the list of resources

    - #### consoleHandler

          public ConsoleHandler consoleHandler(String key)

    - #### loggers

          public List<Logger> loggers()

      Get the list of Logger resources
      Returns:
        the list of resources

    - #### logger

          public Logger logger(String key)

    - #### asyncHandlers

          public List<AsyncHandler> asyncHandlers()

      Get the list of AsyncHandler resources
      Returns:
        the list of resources

    - #### asyncHandler

          public AsyncHandler asyncHandler(String key)

    - #### fileHandlers

          public List<FileHandler> fileHandlers()

      Get the list of FileHandler resources
      Returns:
        the list of resources

    - #### fileHandler

          public FileHandler fileHandler(String key)

    - #### logFiles

          public List<LogFile> logFiles()

      Get the list of LogFile resources
      Returns:
        the list of resources

    - #### logFile

          public LogFile logFile(String key)

    - #### patternFormatters

          public List<PatternFormatter> patternFormatters()

      Get the list of PatternFormatter resources
      Returns:
        the list of resources

    - #### patternFormatter

          public PatternFormatter patternFormatter(String key)

    - #### sizeRotatingFileHandlers

          public List<SizeRotatingFileHandler> sizeRotatingFileHandlers()

      Get the list of SizeRotatingFileHandler resources
      Returns:
        the list of resources

    - #### sizeRotatingFileHandler

          public SizeRotatingFileHandler sizeRotatingFileHandler(String key)

    - #### syslogHandlers

          public List<SyslogHandler> syslogHandlers()

      Get the list of SyslogHandler resources
      Returns:
        the list of resources

    - #### syslogHandler

          public SyslogHandler syslogHandler(String key)

    - #### customHandlers

          public List<CustomHandler> customHandlers()

      Get the list of CustomHandler resources
      Returns:
        the list of resources

    - #### customHandler

          public CustomHandler customHandler(String key)

    - #### rootLogger

          public RootLogger rootLogger()

      Defines the root logger for this log context.

Copyright © 2018 JBoss by Red Hat. All rights reserved.